Package org.gradle.api

## Class GradleScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.GradleScriptException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GradleScriptException
      extends GradleException

  A `GradleScriptException` is thrown when an exception occurs in the compilation or execution of a script.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradleScriptException​(java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GradleScriptException

          public GradleScriptException​(java.lang.String message,
                                       java.lang.Throwable cause)